# ~/GitLab/robobin/ros2/src/robobin/launch/robobin_launch.py

from launch import LaunchDescription
from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
        Node(
            package='robobin',
            executable='api_node',    
            name='api_node',
            output='screen',
            emulate_tty=True

        ),
        Node(
            package='robobin',
            executable='motor_control_node',    
            name='motor_control_node',
            output='screen',
            emulate_tty=True
        ),
        # Add additional nodes
        # Example:
        # Node(
        #     package='robobin',
        #     executable='connection_handler_node',  
        #     name='connection_handler_node',
        #     output='screen'
        # ),
    ])
